<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Class Hierarchy</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="googleapiclient-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th bgcolor="#70b0f0" class="navbar-select"
          >&nbsp;&nbsp;&nbsp;Trees&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

      <th class="navbar" width="100%"></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">&nbsp;</td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
        <tr><td align="right"><span class="options"
            >[<a href="frames.html" target="_top">frames</a
            >]&nbsp;|&nbsp;<a href="class-tree.html"
            target="_top">no&nbsp;frames</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<center><b>
 [ <a href="module-tree.html">Module Hierarchy</a>
 | <a href="class-tree.html">Class Hierarchy</a> ]
</b></center><br />
<h1 class="epydoc">Class Hierarchy</h1>
<ul class="nomargin-top">
    <li> <strong class="uidlink">email.generator.Generator</strong>
    </li>
    <li> <strong class="uidlink">object</strong>:
      <em class="summary">The most base type</em>
    <ul>
    <li> <strong class="uidlink">exceptions.BaseException</strong>:
      <em class="summary">Common base class for all exceptions</em>
    <ul>
    <li> <strong class="uidlink">exceptions.Exception</strong>:
      <em class="summary">Common base class for all non-exit exceptions.</em>
    <ul>
    <li> <strong class="uidlink"><a href="googleapiclient.errors.Error-class.html">googleapiclient.errors.Error</a></strong>:
      <em class="summary">Base error for this module.</em>
    <ul>
    <li> <strong class="uidlink"><a href="googleapiclient.errors.HttpError-class.html">googleapiclient.errors.HttpError</a></strong>:
      <em class="summary">HTTP data was invalid or unexpected.</em>
    <ul>
    <li> <strong class="uidlink"><a href="googleapiclient.errors.BatchError-class.html">googleapiclient.errors.BatchError</a></strong>:
      <em class="summary">Error occurred during batch operations.</em>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.errors.ResumableUploadError-class.html">googleapiclient.errors.ResumableUploadError</a></strong>:
      <em class="summary">Error occurred during resumable upload.</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.errors.InvalidChunkSizeError-class.html">googleapiclient.errors.InvalidChunkSizeError</a></strong>:
      <em class="summary">The given chunksize is not valid.</em>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.errors.InvalidJsonError-class.html">googleapiclient.errors.InvalidJsonError</a></strong>:
      <em class="summary">The JSON returned could not be parsed.</em>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.errors.InvalidNotificationError-class.html">googleapiclient.errors.InvalidNotificationError</a></strong>:
      <em class="summary">The channel Notification is invalid.</em>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.errors.MediaUploadSizeError-class.html">googleapiclient.errors.MediaUploadSizeError</a></strong>:
      <em class="summary">Media is larger than the method can accept.</em>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.errors.UnacceptableMimeTypeError-class.html">googleapiclient.errors.UnacceptableMimeTypeError</a></strong>:
      <em class="summary">That is an unacceptable mimetype for this operation.</em>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.errors.UnexpectedBodyError-class.html">googleapiclient.errors.UnexpectedBodyError</a></strong>:
      <em class="summary">Exception raised by RequestMockBuilder on unexpected bodies.</em>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.errors.UnexpectedMethodError-class.html">googleapiclient.errors.UnexpectedMethodError</a></strong>:
      <em class="summary">Exception raised by RequestMockBuilder on unexpected calls.</em>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.errors.UnknownApiNameOrVersion-class.html">googleapiclient.errors.UnknownApiNameOrVersion</a></strong>:
      <em class="summary">No API with that name and version exists.</em>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.errors.UnknownFileType-class.html">googleapiclient.errors.UnknownFileType</a></strong>:
      <em class="summary">File type unknown or unexpected.</em>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.errors.UnknownLinkType-class.html">googleapiclient.errors.UnknownLinkType</a></strong>:
      <em class="summary">Link type unknown or unexpected.</em>
    </li>
    </ul>
    </li>
    </ul>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.http.BatchHttpRequest-class.html">googleapiclient.http.BatchHttpRequest</a></strong>:
      <em class="summary">Batches multiple HttpRequest objects into a single HTTP request.</em>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.discovery_cache.base.Cache-class.html">googleapiclient.discovery_cache.base.Cache</a></strong>:
      <em class="summary">A base abstract cache class.</em>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.channel.Channel-class.html">googleapiclient.channel.Channel</a></strong>:
      <em class="summary">A Channel for notifications.</em>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.http.HttpMock-class.html">googleapiclient.http.HttpMock</a></strong>:
      <em class="summary">Mock of httplib2.Http</em>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.http.HttpMockSequence-class.html">googleapiclient.http.HttpMockSequence</a></strong>:
      <em class="summary">Mock of httplib2.Http</em>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.http.HttpRequest-class.html">googleapiclient.http.HttpRequest</a></strong>:
      <em class="summary">Encapsulates a single HTTP request.</em>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.http.HttpRequestMock-class.html">googleapiclient.http.HttpRequestMock</a></strong>:
      <em class="summary">Mock of HttpRequest.</em>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.http.MediaDownloadProgress-class.html">googleapiclient.http.MediaDownloadProgress</a></strong>:
      <em class="summary">Status of a resumable download.</em>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.http.MediaIoBaseDownload-class.html">googleapiclient.http.MediaIoBaseDownload</a></strong>:
      <em class="summary">&quot;Download media resources.</em>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.http.MediaUpload-class.html">googleapiclient.http.MediaUpload</a></strong>:
      <em class="summary">Describes a media object to upload.</em>
    <ul>
    <li> <strong class="uidlink"><a href="googleapiclient.http.MediaIoBaseUpload-class.html">googleapiclient.http.MediaIoBaseUpload</a></strong>:
      <em class="summary">A MediaUpload for a io.Base objects.</em>
    <ul>
    <li> <strong class="uidlink"><a href="googleapiclient.http.MediaFileUpload-class.html">googleapiclient.http.MediaFileUpload</a></strong>:
      <em class="summary">A MediaUpload for a file.</em>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.http.MediaInMemoryUpload-class.html">googleapiclient.http.MediaInMemoryUpload</a></strong>:
      <em class="summary">MediaUpload for a chunk of bytes.</em>
    </li>
    </ul>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.http.MediaUploadProgress-class.html">googleapiclient.http.MediaUploadProgress</a></strong>:
      <em class="summary">Status of a resumable upload.</em>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.model.Model-class.html">googleapiclient.model.Model</a></strong>:
      <em class="summary">Model base class.</em>
    <ul>
    <li> <strong class="uidlink"><a href="googleapiclient.model.BaseModel-class.html">googleapiclient.model.BaseModel</a></strong>:
      <em class="summary">Base model class.</em>
    <ul>
    <li> <strong class="uidlink"><a href="googleapiclient.model.JsonModel-class.html">googleapiclient.model.JsonModel</a></strong>:
      <em class="summary">Model class for JSON.</em>
    <ul>
    <li> <strong class="uidlink"><a href="googleapiclient.model.MediaModel-class.html">googleapiclient.model.MediaModel</a></strong>:
      <em class="summary">Model class for requests that return Media.</em>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.model.RawModel-class.html">googleapiclient.model.RawModel</a></strong>:
      <em class="summary">Model class for requests that don't return JSON.</em>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.model.ProtocolBufferModel-class.html">googleapiclient.model.ProtocolBufferModel</a></strong>:
      <em class="summary">Model class for protocol buffers.</em>
    </li>
    </ul>
    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.channel.Notification-class.html">googleapiclient.channel.Notification</a></strong>:
      <em class="summary">A Notification from a Channel.</em>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.http.RequestMockBuilder-class.html">googleapiclient.http.RequestMockBuilder</a></strong>:
      <em class="summary">A simple mock of HttpRequest</em>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.discovery.Resource-class.html" onclick="show_private();">googleapiclient.discovery.Resource</a></strong>:
      <em class="summary">A class for interacting with a resource.</em>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.discovery.ResourceMethodParameters-class.html" onclick="show_private();">googleapiclient.discovery.ResourceMethodParameters</a></strong>:
      <em class="summary">Represents the parameters associated with a method.</em>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.schema.Schemas-class.html">googleapiclient.schema.Schemas</a></strong>:
      <em class="summary">Schemas for an API.</em>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.schema._SchemaToStruct-class.html" onclick="show_private();">googleapiclient.schema._SchemaToStruct</a></strong>:
      <em class="summary">Convert schema to a prototype object.</em>
    </li>
    <li> <strong class="uidlink"><a href="googleapiclient.http._StreamSlice-class.html" onclick="show_private();">googleapiclient.http._StreamSlice</a></strong>:
      <em class="summary">Truncated stream.</em>
    </li>
    <li> <strong class="uidlink">type</strong>:
      <em class="summary">type(object) -&gt; the object's type type(name, bases, dict) -&gt; 
        a new type</em>
    <ul>
    <li> <strong class="uidlink">abc.ABCMeta</strong>:
      <em class="summary">Metaclass for defining Abstract Base Classes (ABCs).</em>
    </li>
    </ul>
    </li>
    </ul>
    </li>
</ul>
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="googleapiclient-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th bgcolor="#70b0f0" class="navbar-select"
          >&nbsp;&nbsp;&nbsp;Trees&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

      <th class="navbar" width="100%"></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Fri Oct  2 20:46:21 2020
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
